| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::Position Class Referencefinal

`#include <src/JobOptionsSvc/Position.h>`

Collaboration diagram for Gaudi::Parsers::Position:
[legend]

## Public Member Functions
| Position ()=default
| Position (std::string filename, unsigned line, unsigned column)
const std::string & | filename () const
unsigned | line () const
unsigned | column () const
void | set_filename (std::string filename)
std::string | ToString () const
bool | Exists () const

## Private Attributes
std::string | filename_
unsigned | line_ = 0
unsigned | column_ = 0

## Detailed Description

Definition at line 15 of file Position.h.

## Constructor & Destructor Documentation

Gaudi::Parsers::Position::Position | ( |  | ) |
| default

Gaudi::Parsers::Position::Position | ( | std::string | filename,
|  | unsigned | line,
|  | unsigned | column
| ) |  |
| inline

Definition at line 19 of file Position.h.

20 : filename_( std::move( filename ) ), line_( line ), column_( column )
21 {
22 }
Gaudi::Parsers::Position::column_
unsigned column_
Definition: Position.h:33
Gaudi::Parsers::Position::column
unsigned column() const
Definition: Position.h:25
Gaudi::Parsers::Position::line
unsigned line() const
Definition: Position.h:24
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:32
std::move
T move(T...args)
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:31

## Member Function Documentation

unsigned Gaudi::Parsers::Position::column | ( |  | ) | const
| inline

Definition at line 25 of file Position.h.

25 { return column_; }
Gaudi::Parsers::Position::column_
unsigned column_
Definition: Position.h:33

bool Gaudi::Parsers::Position::Exists | ( |  | ) | const
| inline

Definition at line 28 of file Position.h.

28 { return line_ != 0; }
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:32

const std::string& Gaudi::Parsers::Position::filename | ( |  | ) | const
| inline

Definition at line 23 of file Position.h.

23 { return filename_; }
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:31

unsigned Gaudi::Parsers::Position::line | ( |  | ) | const
| inline

Definition at line 24 of file Position.h.

24 { return line_; }
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:32

void Gaudi::Parsers::Position::set_filename | ( | std::string | filename | ) |
| inline

Definition at line 26 of file Position.h.

26 { filename_ = std::move( filename ); }
std::move
T move(T...args)
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:31

std::string Gaudi::Parsers::Position::ToString | ( |  | ) | const

Definition at line 13 of file Position.cpp.

14 {
15 return str( boost::format( "%1%: (%2%, %3%)" ) % filename_ % line_ % column_ );
16 }
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:120
Gaudi::Parsers::Position::column_
unsigned column_
Definition: Position.h:33
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:32
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:31

## Member Data Documentation

unsigned Gaudi::Parsers::Position::column_ = 0
| private

Definition at line 33 of file Position.h.

std::string Gaudi::Parsers::Position::filename_
| private

Definition at line 31 of file Position.h.

unsigned Gaudi::Parsers::Position::line_ = 0
| private

Definition at line 32 of file Position.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Position.h
- GaudiCoreSvc/src/JobOptionsSvc/Position.cpp